- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets/list#body.ListCuratedRuleSetsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets/list#body.aspect_1)

**Full name**: projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.list

Lists CuratedRuleSets.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/curatedRuleSets`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent which owns this collection of CuratedRuleSets. Formats: projects/{project}/locations/{location}/instance/{instance}/curatedRuleSetCategories/- projects/{project}/locations/{location}/instance/{instance}/curatedRuleSetCategories/{curatedRuleSetCategory} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of rule sets to return. The service may return fewer than this value. If unspecified, at most 100 rule sets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `curatedRuleSets.list` call. Provide this to retrieve the subsequent page. |
| `allRuleSets` | `boolean` Optional. If allRuleSets is set to true, then all rule sets will be returned. The default behavior is to filter rule sets based on customer feature flag enablement. |

### Request body

The request body must be empty.

### Response body

Response message for curatedRuleSets.list

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "curatedRuleSets": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets#CuratedRuleSet`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `curatedRuleSets[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets#CuratedRuleSet`)`` List of CuratedRuleSets. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.curatedRuleSets.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).